Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet
Class URLUtils

    java.lang.Object
      com.ejie.r01f.servlet.URLUtils

public class URLUtils
extends java.lang.Object

Métodos relacionados con la obtención de request dispatcher

Constructor Summary
`URLUtils()`

Method Summary
`static java.lang.String` | `filter(java.lang.String message)` Filtra el mensaje especificado en busca de caracteres que son sensibles en HTML Esto evita potenciales ataques causados por la inclusion de JavaScript en la URL
`static java.lang.String` | `getContextPath(java.lang.String path)` Obtiene el contexto de una url (El contexto es la parte del path que está entre los dos primeros caracteres '/')
`static java.lang.String` | `getFileName(java.lang.String path)` Obtiene el nombre del fichero (servlet, jsp o lo que sera) que se está solicitando
`static java.lang.String` | `getPathWithoutContext(java.lang.String path)` Obtiene el path del servlet sin el contexto
`static java.lang.String` | `getPathWithoutFileName(java.lang.String path)` Obtiene el path de la URL sin el nombre del fichero, servlet jsp, etc
`static java.lang.String` | `normalize(java.lang.String path)` Devuelve un path que comienza con "/" y que representa la versión canonica del path especificado después de que los elementos ".." y "." son resueltos Si el path especificado intenta ir fuera de los límites del contexto actual (por ejemplo si hay demasiado elementos ".." en el path), se devuelve `null`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLUtils

    public URLUtils()

Method Detail

### filter

    public static java.lang.String filter(java.lang.String message)

  Filtra el mensaje especificado en busca de caracteres que son sensibles en HTML Esto evita potenciales ataques causados por la inclusion de JavaScript en la URL

  Parameters:
    `message` - El mensaje a filtrar

### getPathWithoutFileName

    public static java.lang.String getPathWithoutFileName(java.lang.String path)

  Obtiene el path de la URL sin el nombre del fichero, servlet jsp, etc

  Returns:
    El path SIN el nombre de fichero o servlet

### getFileName

    public static java.lang.String getFileName(java.lang.String path)

  Obtiene el nombre del fichero (servlet, jsp o lo que sera) que se está solicitando

  Returns:
    El nombre del fichero

### getPathWithoutContext

    public static java.lang.String getPathWithoutContext(java.lang.String path)

  Obtiene el path del servlet sin el contexto

  Returns:
    El path sin el contexto

### getContextPath

    public static java.lang.String getContextPath(java.lang.String path)

  Obtiene el contexto de una url (El contexto es la parte del path que está entre los dos primeros caracteres '/')

  Returns:
    El contexto de la WebApp

### normalize

    public static java.lang.String normalize(java.lang.String path)

  Devuelve un path que comienza con "/" y que representa la versión canonica del path especificado después de que los elementos ".." y "." son resueltos Si el path especificado intenta ir fuera de los límites del contexto actual (por ejemplo si hay demasiado elementos ".." en el path), se devuelve `null`.

  Parameters:
    `path` - Path a normalizar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD